语音识别接口
curl --request POST \
--url https://geekai.co/api/v2/audio/transcriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "doubao-transcribe",
"audio": {
"url": "https://example.com/audio.wav",
"format": "mp3"
},
"retries": 0
}
'import requests
url = "https://geekai.co/api/v2/audio/transcriptions"
payload = {
"model": "doubao-transcribe",
"audio": {
"url": "https://example.com/audio.wav",
"format": "mp3"
},
"retries": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'doubao-transcribe',
audio: {url: 'https://example.com/audio.wav', format: 'mp3'},
retries: 0
})
};
fetch('https://geekai.co/api/v2/audio/transcriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"text": "<string>",
"duration": 123
}{
"code": "validation_error",
"message": "参数验证失败",
"details": {
"field": "错误描述"
}
}{
"code": "unauthorized",
"message": "Invalid API key or token"
}{
"code": "invalid_request",
"message": "请求参数不合法"
}语音模型
录音文件识别
POST
/
audio
/
transcriptions
语音识别接口
此页面对您有帮助吗?
⌘I
